package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.dto.EREDTO;
import com.supervision.pdfqaserver.dto.DocumentDTO;
import com.supervision.pdfqaserver.dto.TruncateDTO;

import java.util.List;

/**
 * 三元组转换管道
 */
public interface TripleConversionPipeline {

    /**
     * 切分文档
     * @param documents 文档列表
     * @return
     */
    List<TruncateDTO> sliceDocuments(List<DocumentDTO> documents);


    /**
     * 实体关系抽取
     * @param truncateDTO 切分文档
     * @return
     */
    EREDTO doEre(TruncateDTO truncateDTO);

    /**
     * 合并实体关系抽取结果
     * @param eredtoList 实体关系抽取结果列表
     * @return
     */
    List<EREDTO> mergeEreResults(List<EREDTO> eredtoList);

}
