package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.DocumentTruncation;
import com.supervision.pdfqaserver.dto.TruncateDTO;
import com.supervision.pdfqaserver.service.DocumentTruncationService;
import com.supervision.pdfqaserver.mapper.DocumentTruncationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【document_truncation(文档切分表)】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Service
public class DocumentTruncationServiceImpl extends ServiceImpl<DocumentTruncationMapper, DocumentTruncation>
    implements DocumentTruncationService{

    @Override
    public void batchSave(List<TruncateDTO> truncateDTOS) {
        if (CollUtil.isEmpty(truncateDTOS)){
            return;
        }
        truncateDTOS.stream().map(TruncateDTO::toDocumentTruncation).forEach(this::save);
    }
}




