package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.TruncationEntityExtraction;
import com.supervision.pdfqaserver.domain.TruncationErAttribute;
import com.supervision.pdfqaserver.dto.ERAttributeDTO;
import com.supervision.pdfqaserver.dto.EntityExtractionDTO;
import com.supervision.pdfqaserver.service.TruncationEntityExtractionService;
import com.supervision.pdfqaserver.mapper.TruncationEntityExtractionMapper;
import com.supervision.pdfqaserver.service.TruncationErAttributeService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【truncation_entity_extraction(片段实体抽取)】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Slf4j
@Service
@RequiredArgsConstructor
public class TruncationEntityExtractionServiceImpl extends ServiceImpl<TruncationEntityExtractionMapper, TruncationEntityExtraction>
    implements TruncationEntityExtractionService{

    private final TruncationErAttributeService truncationErAttributeService;
    @Override
    public void saveERE(List<EntityExtractionDTO> entities) {
        if (CollUtil.isEmpty(entities)){
            return;
        }
        for (EntityExtractionDTO entity : entities) {
            TruncationEntityExtraction tee = new TruncationEntityExtraction();
            tee.setTruncationId(entity.getTruncationId());
            tee.setEntity(entity.getEntity());
            tee.setName(entity.getName());
            this.save(tee);
            List<ERAttributeDTO> attributes = entity.getAttributes();
            if (CollUtil.isEmpty(attributes)){
                continue;
            }
            for (ERAttributeDTO attribute : attributes) {
                attribute.setTerId(tee.getId());
                TruncationErAttribute era = attribute.toTruncationErAttribute();
                truncationErAttributeService.save(era);
            }
        }
    }
}




